package org.springblade.modules.platform.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Author pangqijun
 * Date 2022/8/25
 * Description
 */
@Data
public class IntegralInfoVO {

	private Long userId;

	@ApiModelProperty(value = "用户名称")
	private String userName;

	@ApiModelProperty(value = "手机号")
	private String phone;

	@ApiModelProperty(value = "用户账号")
	private String account;

	@ApiModelProperty(value = "类型描述")
	private String typeDesc;

	@ApiModelProperty(value = "上月余额")
	private Double lastMonthBalance;

	@ApiModelProperty(value = "本月增加额")
	private Double currMonthIncrease;

	@ApiModelProperty(value = "本月减少额")
	private Double currMonthReduced;

	@ApiModelProperty(value = "本月余额")
	private Double currMonthBalance;

	@ApiModelProperty(value = "本月提现总额")
	private Double currMonthWithdrawn;

	public Double getLastMonthBalance() {
		return lastMonthBalance == null ? 0.0 : lastMonthBalance;
	}

	public Double getCurrMonthIncrease() {
		return currMonthIncrease == null ? 0.0 : currMonthIncrease;
	}

	public Double getCurrMonthReduced() {
		return currMonthReduced == null ? 0.0 : currMonthReduced;
	}

	public Double getCurrMonthBalance() {
		return currMonthBalance == null ? 0.0 : currMonthBalance;
	}

	public Double getCurrMonthWithdrawn() {
		return currMonthWithdrawn  == null ? 0.0 : currMonthWithdrawn;
	}
}
